# Uses of Interface
org.opensaml.xmlsec.signature.KeyInfoReference

Packages that use KeyInfoReference
Package
Description
org.opensaml.xmlsec.encryption.support
Functional support for XML Encryption.
org.opensaml.xmlsec.keyinfo.impl.provider
Specific implementations of `KeyInfoProvider`.
org.opensaml.xmlsec.signature
XMLObject interfaces and helper classes for representing digitally signed content and signing/validating content.
org.opensaml.xmlsec.signature.impl
Implementations of the interfaces for XMLObjects that represent XML signature types.

## Uses of KeyInfoReference in org.opensaml.xmlsec.encryption.support

Methods in org.opensaml.xmlsec.encryption.support with parameters of type KeyInfoReference
Modifier and Type
Method
Description
`protected KeyInfo`
SimpleKeyInfoReferenceEncryptedKeyResolver.`dereferenceURI(KeyInfoReference ref)`
Dereference the URI attribute of the specified retrieval method into a KeyInfo.

## Uses of KeyInfoReference in org.opensaml.xmlsec.keyinfo.impl.provider

Methods in org.opensaml.xmlsec.keyinfo.impl.provider that return KeyInfoReference
Modifier and Type
Method
Description
`protected KeyInfoReference`
KeyInfoReferenceProvider.`getKeyInfoReference(XMLObject xmlObject)`
Get the KeyInfoReference from the passed XML object.

## Uses of KeyInfoReference in org.opensaml.xmlsec.signature

Methods in org.opensaml.xmlsec.signature that return types with arguments of type KeyInfoReference
Modifier and Type
Method
Description
`List<KeyInfoReference>`
KeyInfo.`getKeyInfoReferences()`
Get the list of KeyInfoReference child elements.

## Uses of KeyInfoReference in org.opensaml.xmlsec.signature.impl

Classes in org.opensaml.xmlsec.signature.impl that implement KeyInfoReference
Modifier and Type
Class
Description
`class`
`KeyInfoReferenceImpl`
Concrete implementation of `KeyInfoReference`.
Methods in org.opensaml.xmlsec.signature.impl that return KeyInfoReference
Modifier and Type
Method
Description
`KeyInfoReference`
KeyInfoReferenceBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided by the XML Signature specifications.
`KeyInfoReference`
KeyInfoReferenceBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.xmlsec.signature.impl that return types with arguments of type KeyInfoReference
Modifier and Type
Method
Description
`List<KeyInfoReference>`
KeyInfoImpl.`getKeyInfoReferences()`
Get the list of KeyInfoReference child elements.